var DMC = require('dmc.js');
var config = require("./config.json")
let keys = "";
let quantity = "";
while (true) {
    keys = console.readLine("input the producer-name:private-key! oooo:xxxx\n");
    if (keys) break;
}

while (true) {
    quantity = console.readLine("input the quantity of PST be minted: e.g. 20 PST\n");
    if (quantity) break;
}

let producername = "";
keys = keys.split(":");
producername = keys[0];
let private_key = keys[1];

//初始化客户端
let dmc = DMC({
    chainId: config.chainId,
    keyProvider: private_key,
    httpEndpoint: config.httpEndpoint,
    logger: {
        log: null,
        error: null
    }
});

dmc.transact_sync({
    actions: [
        {
            account: 'dmc.token',
            name: 'mint',
            authorization: [{
                actor: producername,
                permission: 'active',
            }],
            data: {
                "owner": producername,
                "asset": {
                    "quantity": quantity,
                    "contract": "datamall"
                }
            }
        }]
}, {
    blocksBehind: 3,
    expireSeconds: 30,
});

let c = dmc.rpc.get_table_rows_sync({
    json: true,
    code: "dmc.token",
    scope: "dmc.token",
    table: "pststats",
    lower_bound: producername,
    upper_bound: producername,
    limit: 10,
}).rows;
console.warn(c);