var DMC = require('dmc.js');
var config = require("./config.json")
let keys = "";
while (true) {
    keys = console.readLine("input the producer-name:private-key! oooo:xxxx\n");
    if (keys) break;
}

let public_key = "";
let private_key = "";
let producername = "";
keys = keys.split(":");
producername = keys[0];
private_key = keys[1];
public_key = DMC.ecc.privateToPublic(private_key);

//初始化客户端
let dmc = DMC({
    chainId: config.chainId,
    keyProvider: private_key,
    httpEndpoint: config.httpEndpoint,
    logger: {
        log: null,
        error: null
    }
});

dmc.transact_sync({
    actions: [
        {
            account: 'dmc',
            name: 'regproducer',
            authorization: [{
                actor: producername,
                permission: 'active',
            }],
            data: {
                producer: producername,
                producer_key: public_key,
                url: config.url,
                location: config.location
            }
        }]
}, {
    blocksBehind: 3,
    expireSeconds: 30,
});

let c = dmc.rpc.get_table_rows_sync({
    json: true,
    code: "dmc",
    scope: "dmc",
    table: "producers",
    lower_bound: producername,
    upper_bound: producername,
    limit: 1000
});
console.warn(c);